TextFragment (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts

## Interface TextFragment

- All Known Implementing Classes:
    FOText

      public interface TextFragment

  Encapsulates a sub-sequence (fragement) of a text iterator (or other text source), where begin index and end index are indices into larger text iterator that denote [begin,end) of sub-sequence range. Additionally associated with a designated script (or "auto"), a designated language (or "none"), and a (single) bidi level (or -1 if not known).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `charAt(int subSequenceIndex)` Obtain character at specified index within this fragment's sub-sequence, where index 0 corresponds to beginning index in overal text source, and subSequenceIndex must be less than ending index - beginning index.
    `int` | `getBeginIndex()` Obtain beginning index (inclusive) of sub-sequence of fragment in overall text source.
    `int` | `getBidiLevel()` Obtain associated bidi level (if known) or -1 if not.
    `int` | `getEndIndex()` Obtain ending index (exclusive) of sub-sequence of fragment in overall text source.
    `CharacterIterator` | `getIterator()` Obtain reference to underlying iterator.
    `String` | `getLanguage()` Obtain associated language (if designated) or "none" if not.
    `String` | `getScript()` Obtain associated script (if designated) or "auto" if not.
    `CharSequence` | `subSequence(int startIndex, int endIndex)`

- - ### Method Detail

    - #### getIterator

          CharacterIterator getIterator()

      Obtain reference to underlying iterator.

    - #### getBeginIndex

          int getBeginIndex()

      Obtain beginning index (inclusive) of sub-sequence of fragment in overall text source.

    - #### getEndIndex

          int getEndIndex()

      Obtain ending index (exclusive) of sub-sequence of fragment in overall text source.

    - #### getScript

          String getScript()

      Obtain associated script (if designated) or "auto" if not.

    - #### getLanguage

          String getLanguage()

      Obtain associated language (if designated) or "none" if not.

    - #### getBidiLevel

          int getBidiLevel()

      Obtain associated bidi level (if known) or -1 if not.

    - #### charAt

          char charAt(int subSequenceIndex)

      Obtain character at specified index within this fragment's sub-sequence, where index 0 corresponds to beginning index in overal text source, and subSequenceIndex must be less than ending index - beginning index.

    - #### subSequence

          CharSequence subSequence(int startIndex,
                                   int endIndex)

Copyright © 2025 Apache Software Foundation. All rights reserved.